所有api接口都需要鉴权规则,具体详情前往鉴权规则查看

通话监控类接口目录

通话监控类接口

1.监听接口

请求参数

字段名称 字段类型 是否必传 字段描述
actionId string 用户用户来标记请求,最大40个字符长度,默认为系统请求id
listenAgent string 执行监听的座席工号
agentNumber string 被执行监听的座席工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/listen' \
--header 'm7-appkey: 2100147' \
--header 'm7-nonce: 025513' \
--header 'm7-sign: lmwwrahWCRO0x+3DhlMMVgB2V5ytUXp5GxbLTW9wOig=' \
--header 'm7-timestamp: 1924260441' \
--header 'content-type: application/json' \
--data-raw '{
    "listenAgent": "2002",
    "agentNumber": "9527",
    "actionId": "437783670040322048"
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "code": 200,
        "startTime": "2021-08-11 16:03:05.673",
        "endTime": "2021-08-11 16:03:05.755",
        "timezone": "UTC+8",
        "version": "2020102501",
        "request": {
            "requestId": "437783670040322048"
        },
        "response": {
            "data": {
                "mediaServer": "172.31.15.8:11100"
            },
            "message": "call-api-server-ok"
        },
        "message": "call-api-server-ok"
    },
    "requestInfo": {
        "requestId": "8eef3e90fa7a11eb95011fe29e32d87e",
        "url": "/openapi/v1/call/listen",
        "proxyUrl": "http://v7-call/call/openapi/v1/call/listen",
        "body": {
            "listenAgent": "2002",
            "agentNumber": "9527",
            "actionId": "437783670040322048"
        },
        "span": {
            "requestStartTime": 1628668985594,
            "proxyStartTime": 1628668985596,
            "proxyEndTime": 1628668985759,
            "reqEndTime": 1628668985759,
            "bizSpan": "163ms",
            "latency": "2ms"
        }
    },
    "actionId": "437783670040322048"
}

2.强拆接口

请求参数

字段名称 字段类型 是否必传 字段描述
actionId string 用户用户来标记请求,最大40个字符长度,默认为系统请求id
hangupAgent string 执行强拆的座席工号
agentNumber string 被执行强拆的座席工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/hangupChannel' \
--header 'm7-appkey: 2100147' \
--header 'm7-nonce: 025513' \
--header 'm7-sign: lmwwrahWCRO0x+3DhlMMVgB2V5ytUXp5GxbLTW9wOig=' \
--header 'm7-timestamp: 1924260441' \
--header 'content-type: application/json' \
--data-raw '{
    "hangupAgent": "2000",
    "agentNumber": "2002",
    "actionId": "437783670040322048"
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "code": 200,
        "startTime": "2021-08-11 16:03:05.673",
        "endTime": "2021-08-11 16:03:05.755",
        "timezone": "UTC+8",
        "version": "2020102501",
        "request": {
            "requestId": "437783670040322048"
        },
        "response": {
            "data": {
                "mediaServer": "172.31.15.8:11100"
            },
            "message": "call-api-server-ok"
        },
        "message": "call-api-server-ok"
    },
    "requestInfo": {
        "requestId": "8eef3e90fa7a11eb95011fe29e32d87e",
        "url": "/openapi/v1/call/hangupChannel",
        "proxyUrl": "http://v7-call/call/openapi/v1/call/hangupChannel",
        "body": {
            "hangupAgent": "2002",
            "agentNumber": "9527",
            "actionId": "437783670040322048"
        },
        "span": {
            "requestStartTime": 1628668985594,
            "proxyStartTime": 1628668985596,
            "proxyEndTime": 1628668985759,
            "reqEndTime": 1628668985759,
            "bizSpan": "163ms",
            "latency": "2ms"
        }
    },
    "actionId": "437783670040322048"
}

3.强插接口

请求参数

字段名称 字段类型 是否必传 字段描述
actionId string 用户用户来标记请求,最大40个字符长度,默认为系统请求id
lootCallAgent string 执行强插的座席工号
agentNumber string 被执行强插的座席工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/lootCall' \
--header 'm7-appkey: 2100147' \
--header 'm7-nonce: 025513' \
--header 'm7-sign: lmwwrahWCRO0x+3DhlMMVgB2V5ytUXp5GxbLTW9wOig=' \
--header 'm7-timestamp: 1924260441' \
--header 'content-type: application/json' \
--data-raw '{
    "lootCallAgent": "2002",
    "agentNumber": "9527",
    "actionId": "强插"
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "code": 200,
        "startTime": "2021-08-11 16:03:05.673",
        "endTime": "2021-08-11 16:03:05.755",
        "timezone": "UTC+8",
        "version": "2020102501",
        "request": {
            "requestId": "437783670040322048"
        },
        "response": {
            "data": {
                "mediaServer": "172.31.15.8:11100"
            },
            "message": "call-api-server-ok"
        },
        "message": "call-api-server-ok"
    },
    "requestInfo": {
        "requestId": "8eef3e90fa7a11eb95011fe29e32d87e",
        "url": "/openapi/v1/call/lootCall",
        "proxyUrl": "http://v7-call/call/openapi/v1/call/lootCall",
        "body": {
            "lootCallAgent": "2002",
            "agentNumber": "9527",
            "actionId": "437783670040322048"
        },
        "span": {
            "requestStartTime": 1628668985594,
            "proxyStartTime": 1628668985596,
            "proxyEndTime": 1628668985759,
            "reqEndTime": 1628668985759,
            "bizSpan": "163ms",
            "latency": "2ms"
        }
    },
    "actionId": "437783670040322048"
}

4.耳语接口

请求参数

字段名称 字段类型 是否必传 字段描述
actionId string 用户用户来标记请求,最大40个字符长度,默认为系统请求id
whisperAgent string 执行耳语的座席工号
agentNumber string 被执行耳语的座席工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/whisper' \
--header 'm7-appkey: 2100147' \
--header 'm7-nonce: 025513' \
--header 'm7-sign: lmwwrahWCRO0x+3DhlMMVgB2V5ytUXp5GxbLTW9wOig=' \
--header 'm7-timestamp: 1924260441' \
--header 'content-type: application/json' \
--data-raw '{
    "whisperAgent": "2002",
    "agentNumber": "9527",
    "actionId": "437783670040322048"
}
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "code": 200,
        "startTime": "2021-08-11 16:03:05.673",
        "endTime": "2021-08-11 16:03:05.755",
        "timezone": "UTC+8",
        "version": "2020102501",
        "request": {
            "requestId": "437783670040322048"
        },
        "response": {
            "data": {
                "mediaServer": "172.31.15.8:11100"
            },
            "message": "call-api-server-ok"
        },
        "message": "call-api-server-ok"
    },
    "requestInfo": {
        "requestId": "8eef3e90fa7a11eb95011fe29e32d87e",
        "url": "/openapi/v1/call/whisper",
        "proxyUrl": "http://v7-call/call/openapi/v1/call/whisper",
        "body": {
            "whisperAgent": "2002",
            "agentNumber": "9527",
            "actionId": "437783670040322048"
        },
        "span": {
            "requestStartTime": 1628668985594,
            "proxyStartTime": 1628668985596,
            "proxyEndTime": 1628668985759,
            "reqEndTime": 1628668985759,
            "bizSpan": "163ms",
            "latency": "2ms"
        }
    },
    "actionId": "437783670040322048"
}

5.抢接接口

请求参数

字段名称 字段类型 是否必传 字段描述
actionId string 用户用户来标记请求,最大40个字符长度,默认为系统请求id
pickupAgent string 执行抢接的座席工号
agentNumber string 被执行抢接的座席工号

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/pickupChannel' \
--header 'm7-appkey: 2100147' \
--header 'm7-nonce: 025513' \
--header 'm7-sign: lmwwrahWCRO0x+3DhlMMVgB2V5ytUXp5GxbLTW9wOig=' \
--header 'm7-timestamp: 1924260441' \
--header 'content-type: application/json' \
--data-raw '{
    "pickupAgent": "2002",
    "agentNumber": "9527",
    "actionId": "抢接"
}'

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": {
        "code": 200,
        "startTime": "2021-08-11 16:03:05.673",
        "endTime": "2021-08-11 16:03:05.755",
        "timezone": "UTC+8",
        "version": "2020102501",
        "request": {
            "requestId": "437783670040322048"
        },
        "response": {
            "data": {
                "mediaServer": "172.31.15.8:11100"
            },
            "message": "call-api-server-ok"
        },
        "message": "call-api-server-ok"
    },
    "requestInfo": {
        "requestId": "8eef3e90fa7a11eb95011fe29e32d87e",
        "url": "/openapi/v1/call/pickupChannel",
        "proxyUrl": "http://v7-call/call/openapi/v1/call/pickupChannel",
        "body": {
            "pickupAgent": "2002",
            "agentNumber": "9527",
            "actionId": "437783670040322048"
        },
        "span": {
            "requestStartTime": 1628668985594,
            "proxyStartTime": 1628668985596,
            "proxyEndTime": 1628668985759,
            "reqEndTime": 1628668985759,
            "bizSpan": "163ms",
            "latency": "2ms"
        }
    },
    "actionId": "437783670040322048"
}